From f64b7b7d91e705d471dd47cbd7ab899ad8ff1a4c Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 10 Jul 2017 09:11:33 +0200
Subject: [PATCH] Fix empty ul block in manuals listing

The <ul> block is in XHTML required to have at least one <li> element
inside. In the case where no PDF manual is available, avoid printing
the empty list.
---
 templates/docs/manuals.html | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/templates/docs/manuals.html b/templates/docs/manuals.html
index 5f9b2dd..52c321e 100644
--- a/templates/docs/manuals.html
+++ b/templates/docs/manuals.html
@@ -19,10 +19,12 @@
 	  </ul>
     </td>
     <td class="colLast">
+	{%if v.a4pdf or v.uspdf%}
 	<ul>
 	  {%if v.a4pdf%}<li>Comprehensive Manual: <a href="/files/documentation/pdf/{{v.numtree}}/postgresql-{{v.numtree}}-A4.pdf">A4 PDF</a> <span class="txtMediumGrey">({{v.a4pdf|filesizeformat}})</span></li>{%endif%}
 	  {%if v.uspdf%}<li>Comprehensive Manual: <a href="/files/documentation/pdf/{{v.numtree}}/postgresql-{{v.numtree}}-US.pdf">US PDF</a> <span class="txtMediumGrey">({{v.uspdf|filesizeformat}})</span></li>{%endif%}
 	</ul>
+	{%endif%}
     </td>
 </tr>
 {%endfor%}
-- 
2.13.0.rc0.45.ge2cb6ab.dirty

